program throwshp;

uses
//  DbugIntf,
  Windows,
  Dialogs,
  Forms,
  MainFrm in 'MainFrm.pas' {MainForm},
  SingleInstance in 'SingleInstance.pas',
  ScreenSaverUtils in 'ScreenSaverUtils.pas',
  ConfigureFrm in 'ConfigureFrm.pas' {ConfigureForm},
  Order in 'Order.pas';

{$R *.RES}
{$E scr} // Set the screen saver's extension

// To get the name to work in the Display Settings, you must have:
// a short file name (8.3 characters), an all lowercase filename,
// and a stringtable resource with an ID of 1. The below .res file
// has this. See the .bat file on how to make it. Edit the .rc file
// to modify what the title is.
{$R delphi_string_table.RES}

begin
    // First, process the Param's passed to see
    // what mode the screen saver is to run in
    // This set's the global variable's ScreenSaverMode
    // and ParentHandle. If the mode was to set the password,
    // a call to this function will never return (it calls Halt).
    SetScreenSaverMode;

    Application.Initialize;
    Application.Title := 'www.StaggeringStories.net: Cre''at Throwing Shapes';
    SetWindowLong(Application.Handle, GWL_EXSTYLE, WS_EX_TOOLWINDOW);
    
    if ScreenSaverMode = ssConfigure then
    begin
        //SendDebugEx('in project ssConfigure branch', mtInformation);
        // Create the configure form to configure the screen saver
        Application.CreateForm(TConfigureForm, ConfigureForm);
        ConfigureForm.Visible := True;
    end
    else
    begin
        //SendDebugEx('in project ''else'' branch', mtInformation);
        // We are either doing a preview or actually running the screen saver
        Application.CreateForm(TMainForm, MainForm);
    end;
    
    Application.Run;
end.
